> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search catalog products

> Search the product catalog for a given country. Supports free-text search and filtering by product type, brand, and zero-touch deployment support. Variant details are not included — use the get product endpoint for those.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /catalog/{countryCode}/products/search
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /catalog/{countryCode}/products/search:
    post:
      tags:
        - Catalog
      summary: Search catalog products
      description: >-
        Search the product catalog for a given country. Supports free-text
        search and filtering by product type, brand, and zero-touch deployment
        support. Variant details are not included — use the get product endpoint
        for those.
      operationId: searchCatalogProducts
      parameters:
        - name: countryCode
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchCatalogProductsBody'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchCatalogProductsResult_Output'
components:
  schemas:
    SearchCatalogProductsBody:
      type: object
      properties:
        search:
          description: Free-text search query
          type: string
        types:
          description: Filter by product types (e.g. laptop, monitor)
          type: array
          items:
            type: string
            enum:
              - laptop
              - tablet
              - smartphone
              - cable_adapter
              - charger
              - headset
              - hub
              - keyboard
              - laptop_case
              - monitor
              - mouse
              - other
        brands:
          description: Filter by brand names
          type: array
          items:
            type: string
        hasZTD:
          description: Only return products that support zero-touch deployment
          type: boolean
        page:
          default: 1
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        take:
          default: 100
          type: integer
          exclusiveMinimum: 0
          maximum: 100
    SearchCatalogProductsResult_Output:
      type: object
      properties:
        total:
          type: integer
          description: Total number of products matching the search
          minimum: -9007199254740991
          maximum: 9007199254740991
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              description:
                type: string
              brand:
                anyOf:
                  - type: string
                  - type: 'null'
              images:
                description: Product image URLs
                type: array
                items:
                  type: string
              variations:
                description: >-
                  Variation dimensions available for this product (e.g. ram,
                  storage)
                type: array
                items:
                  type: string
              specifications:
                description: Product specifications keyed by specification name
                anyOf:
                  - type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                  - type: 'null'
              price:
                description: Current price for the requested country
                anyOf:
                  - type: object
                    properties:
                      amount:
                        description: >-
                          Price amount in the smallest currency unit (e.g.
                          cents)
                        type: number
                      currency:
                        description: ISO 4217 currency code
                        type: string
                    required:
                      - amount
                      - currency
                    additionalProperties: false
                  - type: 'null'
              isFavorite:
                description: Whether the product is a favorite of your company
                type: boolean
              isDiscontinued:
                description: >-
                  Whether the product is discontinued (deleted or no longer
                  published)
                type: boolean
              hasZTD:
                description: Whether at least one variant supports zero-touch deployment
                type: boolean
              hasFastDelivery:
                description: Whether at least one variant supports fast delivery
                type: boolean
              createdAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
              updatedAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
            required:
              - id
              - name
              - description
              - images
              - variations
              - isFavorite
              - isDiscontinued
              - hasZTD
              - hasFastDelivery
              - createdAt
              - updatedAt
            additionalProperties: false
      required:
        - total
        - data
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````